textures/UJFMNiceIce/snowclip
{
	qer_editorimage textures/UJFMNiceIce_thumbs/snowclip.jpg
	surfaceparm nodamage
	
	{
		map textures/UJFMNiceIce/snowclip.tga
		blendfunc filter
	}
}

textures/UJFMNiceIce/snow_rough:q3map
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nodamage
}

textures/UJFMNiceIce/rock_brown_rough:q3map
{
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
}

textures/UJFMNiceIce/cloth_coarse_cream_dirty:q3map
{
	q3map_nonplanar
	q3map_shadeangle 120
	surfaceparm nodamage
}

textures/UJFMNiceIce/blocks_sandstone01:q3map
{
	surfaceparm nodamage
}

textures/UJFMNiceIce/smooth_marble_grey02:q3map
{
	surfaceparm nodamage
}

textures/UJFMNiceIce/slate01_light:q3map
{
	surfaceparm nonsolid
}

textures/UJFMNiceIce/rough_marble_dark02:q3map
{
	surfaceparm nodamage
}

textures/UJFMNiceIce/rough_slate_dark01:q3map
{
	surfaceparm nodamage
}

textures/UJFMNiceIce/stonewall_flat:q3map
{
	surfaceparm nodamage
}

textures/UJFMNiceIce/iron_rough:q3map
{
	surfaceparm nodamage
}

textures/UJFMNiceIce/floor_tile:q3map
{
	surfaceparm nodamage
}

textures/UJFMNiceIce/brick_01_sl:q3map
{
	qer_editorimage textures/UJFMNiceIce_thumbs/brick_01_sl.jpg
	surfaceparm slick
	surfaceparm nodamage
}

textures/UJFMNiceIce/brick_01_ns:q3map
{
	qer_editorimage textures/UJFMNiceIce_thumbs/brick_01_ns.jpg
	surfaceparm nonsolid
}

textures/UJFMNiceIce/ujlogo2
{
	surfaceparm slick
	deformVertexes wave 100 sin 4 3 0 0.9
	deformVertexes wave 30 sin 0 3 0 1.4
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/ujlogo2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/UJFMNiceIce/blackice
{
   	qer_trans 0.8
	surfaceparm slick
    surfaceparm nodamage
	surfaceparm trans
	cull disable
    {
        map textures/UJFMNiceIce/blackice.tga
        tcgen environment
        blendfunc filter
        rgbGen identity
    }
}

textures/UJFMNiceIce/light_greygreen
{
	q3map_surfacelight 2500
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/light_greygreen.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/light_greygreen.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/UJFMNiceIce/light_greyyellow
{
	q3map_surfacelight 3650
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/light_greyyellow.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/light_greyyellow.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/UJFMNiceIce/light_greypink
{
	q3map_surfacelight 3500
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/light_greypink.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/light_greypink.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/UJFMNiceIce/light_greyblue
{
	q3map_surfacelight 2500
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/light_greyblue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/light_greyblue.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/UJFMNiceIce/light_greyorangedim
{
	q3map_surfacelight 950
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/light_greyorangedim.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/UJFMNiceIce/light_greyorangedim.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/UJFMNiceIce/sky
{
	qer_editorimage env/UJFMNiceIce/clouds.jpg
	
	q3map_backsplash 0 0
	//q3map_sunExt 217 229 232 250 130 55 3 16
	q3map_sunExt 217 229 232 30 130 55 3 16
	q3map_skylight 65 3
	q3map_lightRGB 217 229 232
	q3map_lightmapFilterRadius 0 64

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	skyparms env/UJFMNiceIce/sky 512 -

	nopicmip
	nomipmaps
	
	{
		map env/UJFMNiceIce/clouds.jpg
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	

}

textures/UJFMNiceIce/water
{
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 80
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/UJFMNiceIce/water
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/UJFMNiceIce/water
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}